! 21.07.17 Su Act_Dir: Test von INQUIRE, da Absturz mit "access violation" in SR testfile 
!                      (in function getunit funktioniert INQUIRE noch)
! 30.10.12 Su winPath: Anpassen fuer flag_multi = 10
! 12.02.10 Su winPath: Anpassen fuer flag_multi = 9

SUBROUTINE Act_Dir (dir)

!  Program to demonstrate GETDRIVEDIRQQ
use IFPORT
!USE DFLIB
CHARACTER(150) dir
INTEGER(4) length

!! zum Test von INQUIRE 21.7.17
!character testf
!logical logo, ex
!inquire(10, opened=logo)
!testf="D:\All_fs\4C\input\test.sim"
!inquire (File = testf, exist = ex)  ! hier funktioniert INQUIRE noch

    !  open(10000,file='user')
    !  open(10000,file='con')

!  Get current directory
dir = FILE$CURDRIVE
!inquire(10, opened=logo)           ! so funktioniert INQUIRE noch
!inquire (File = testf, exist = ex) ! hier Absturz mit "access violation"

length = GETDRIVEDIRQQ(dir)

IF (length .GT. 0) THEN
!  WRITE (10000,*) 'Current directory is: '
!  WRITE (10000,*) dir
  WRITE (*,*) 'Current directory is: '
  WRITE (*,*) dir
ELSE
  WRITE (*,*) 'Failed to get current directory'
END IF

END SUBROUTINE Act_Dir


!**********************************************************
subroutine winPath()

use data_mess
use data_simul
!use data_site

implicit none

integer ind, i

	! set full path for the files	
!	call Act_Dir(actDir)
	ind = index(actDir, '\', .TRUE.)
	! go to ..
	if ( 'input' == trim(actDir(ind+1:ind+5)) ) then
		dirout = trim(actDir(1:ind))//'output\'
	! stay in the directory
	else
		dirout = trim(actdir)//'\output\' 
	endif

	do i = 1,site_nr 
        call fullPath( sitefile(i) , actDir)
        call fullPath( treefile(i) , actDir)
	end do

    if (.not.flag_mult910) then
	    do i = 1,site_nr 
		    call fullPath( specfile(i) , actDir)
		    call fullPath( climfile(i) , actDir)
            call fullPath( valfile(i)  , actDir)
            call fullPath( manfile(i)  , actDir)
            call fullPath( depofile(i) , actDir)
            call fullPath( redfile(i)  , actDir)
            call fullPath( litfile(i)  , actDir)
		    
		    ! till the wpm files is set
		    wpmfile(i) = 'dummy.wpm'
		    call fullPath( wpmfile(i)  , actDir)	
	    end do
    else
		call fullPath( specfile(1) , actDir)
        call fullPath( manfile(1)  , actDir)
        call fullPath( depofile(1) , actDir)
        call fullPath( redfile(1)  , actDir)
        call fullPath( litfile(1)  , actDir)

    endif

    if (allocated(mesfile)) call fullPath( mesfile(1)  , actDir)	

end subroutine winPath
!**************************************************************

SUBROUTINE deallofile

use data_simul

implicit none

    if ( allocated(site_name) ) deallocate(site_name)

    if ( allocated(climfile) ) deallocate(climfile)

    if ( allocated(sitefile) ) deallocate(sitefile)

    if ( allocated(valfile) ) deallocate(valfile)

    if ( allocated(treefile) ) deallocate(treefile)
	if ( allocated(wpmfile) ) deallocate(wpmfile)
    if ( allocated(standid) ) deallocate(standid)

    if ( allocated(manfile) ) deallocate(manfile)
!    allocate(modfile(repeat_number))
    if ( allocated(depofile) ) deallocate(depofile)
    if ( allocated(redfile) ) deallocate(redfile)
    if ( allocated(litfile) ) deallocate(litfile)

	if ( allocated(specfile) )    deallocate(specfile)
	
	site_nr = 1

end subroutine deallofile

!**************************************************************


! changes "input\..." filename into absolute path filename
subroutine fullPath(filename, dir)
	
character(150) dir, filename
integer ind

	if ('input' == filename(1:5)) then

		! Problem: input/input
		ind = index(dir, '\', .TRUE.)
		if ( 'input' == trim(dir(ind+1:ind+5)) ) then
			ind = index(filename, '/', .TRUE.)
			filename = trim(dir)//trim(filename(ind:))
		else
			filename = trim(dir)//'\'//trim(filename)
		end if
	end if

end subroutine fullPath

